Bug 138459 - crash when changing from "run continously" to "run only on demand" and clicking ok.
Summary: crash when changing from "run continously" to "run only on demand" and clicki...
Status: CLOSED FIXED
Alias: None
Product: kalarm
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Jarvie
URL:
Keywords:
: 138460 138461 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-12-06 17:07 UTC by bm1607
Modified: 2007-08-21 16:04 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bm1607 2006-12-06 17:07:52 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    Fedora RPMs
Compiler:          gcc-4.1.1-30 
OS:                Linux

In every version after kde 3.3 kalarm crashes, when trying to switch from "run continously" to "run only on demand" and clicking ok. Everytime when trying to change these settings, it crashes.

Backtrace:

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208334640 (LWP 4389)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0x4344e9ec in memcpy () from /lib/libc.so.6
#7  0x430bbe9c in QString::setLength () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x430bc2ec in QString::real_detach ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x430bdeba in QString::replace () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x430c2a89 in QString::replace () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x4ebca1ce in KConfigBase::revertToDefault ()
   from /usr/lib/libkdecore.so.4
#12 0x4ec1ad3b in KConfigBase::writePathEntry () from /usr/lib/libkdecore.so.4
#13 0x4ec1ae37 in KConfigBase::writePathEntry () from /usr/lib/libkdecore.so.4
#14 0x080dc55e in QTextEdit::metaObject ()
#15 0x080eae74 in QMapPrivate<QString, QString>::clear ()
#16 0x080e80eb in QMapPrivate<QString, QString>::clear ()
#17 0x080de40c in QMapPrivate<QString, QString>::clear ()
#18 0x4ef69229 in KDialogBase::qt_invoke () from /usr/lib/libkdeui.so.4
#19 0x080de35b in QMapPrivate<QString, QString>::clear ()
#20 0x42d9ebea in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x42d9f71d in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x43132bcc in QButton::clicked () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x42e42c7d in QButton::mouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x42ddc095 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x42d35e6b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x42d374c7 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x4ec77d82 in KApplication::notify () from /usr/lib/libkdecore.so.4
#28 0x42ccd9c6 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x42ccc4c6 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#30 0x42cde14b in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x42d4f3f0 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0x42d358ef in QApplication::enter_loop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0x42f49305 in QDialog::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0x080c1730 in KMainWindow::metaObject ()
#35 0x080ca766 in KMainWindow::metaObject ()
#36 0x42d9ebea in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#37 0x42d9f71d in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#38 0x4ee8c009 in KAction::activated () from /usr/lib/libkdeui.so.4
#39 0x4eece072 in KAction::slotActivated () from /usr/lib/libkdeui.so.4
#40 0x4ef920ed in KAction::slotPopupActivated () from /usr/lib/libkdeui.so.4
#41 0x4ef923b1 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4
#42 0x42d9ebea in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#43 0x4312aace in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#44 0x42dbd3b7 in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#45 0x42ebe635 in QPopupMenu::mouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#46 0x4ee9390f in KPopupMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.4
#47 0x42ddc095 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#48 0x42d35e6b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#49 0x42d374c7 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#50 0x4ec77d82 in KApplication::notify () from /usr/lib/libkdecore.so.4
#51 0x42cce390 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#52 0x42ccc4c6 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#53 0x42cde14b in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#54 0x42d4f3f0 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#55 0x42d4f2a6 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#56 0x42d3597f in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#57 0x0807b33d in QValueListPrivate<KCal::Person>::~QValueListPrivate ()
#58 0x433f6f2c in __libc_start_main () from /lib/libc.so.6
#59 0x080750f1 in QListViewItem::paintCell ()
Comment 1 David Jarvie 2006-12-06 18:11:58 UTC
*** Bug 138461 has been marked as a duplicate of this bug. ***
Comment 2 David Jarvie 2006-12-06 18:13:04 UTC
*** Bug 138460 has been marked as a duplicate of this bug. ***
Comment 3 David Jarvie 2006-12-06 18:22:19 UTC
Could you please attach a copy of your KAlarm config file ($KDEHOME/share/config/kalarmrc) when in "run continuously" mode (i.e. before you try to change to "run on demand").
Comment 4 bm1607 2006-12-07 18:06:53 UTC
[EditDialog]
Height 1024=655
Width 1280=849

[MainWindow]
Height 1024=270
Width 1280=518

[Notification Messages]
ConfirmAlarmDeletion=true
EmailQueuedNotify=false
QuitWarn=
Comment 5 David Jarvie 2006-12-08 01:21:37 UTC
The contents of kalarmrc don't seem possible for the KDE 3.5.5 version of kalarm. There must at least be the following lines in addition:

[General]
Version=1.4.6

Even if you only run it once and immediately try to change the run mode setting, these lines are added to kalarmrc. Are you sure you have quoted the contents fully? Please report the version of kalarm as opposed to the version of KDE. Type in a terminal window:

kalarm --version
Comment 6 bm1607 2006-12-08 15:31:25 UTC
I created a new user, started KDE and this is the kalarmrc after the first start:

[MainWindow]
Height 1024=240
Width 1280=478

[Notification Messages]
ConfirmAlarmDeletion=true
EmailQueuedNotify=false
QuitWarn=

Then i tried to change the settings as described, wich results in this kalarmrc:

[Defaults]
DefAutoClose=false
DefCmdLogType=0
DefCmdScript=false
DefConfirmAck=false
DefCopyKOrg=false
DefEmailBcc=false
DefLateCancel=0
DefLogFile=
DefPostAction=
DefPreAction=
DefRecurPeriod=0
DefRemindUnits=0
DefSound=false
DefSoundFile=
DefSoundRepeat=false
DefSoundType=1
DefSoundVolume=-1
Feb29Recur=Mar1

[General]
AutostartTray=true
CmdXTerm=
DaemonTrayCheckInterval=10
DisableAlarmsIfStopped=true
DisabledColour=192,192,192
EmailBccAddress=@ControlCenter
EmailClient=kmail
EmailCopyToKMail=false
EmailFrom=@KMail
ExpiredColour=128,0,0
ExpiredKeepDays=7
MessageBackgroundColour=255,0,0
MessageButtonDelay=0
MessageColours=#ff0000,#00ff00,#0000ff,#00ffff,#ff00ff,#ffff00,#ffffff,#c0c0c0,#000000
MessageFont=Sans,16,-1,5,75,0,0,0,0,0
ModalMessages=true
RunInSystemTray=true
ShowAlarmTime=true
ShowExpiredAlarms=false
ShowTimeToAlarm=false
ShowTooltipAlarmTime=true
ShowTooltipTimeToAlarm=true
StartOfDay=1900,1,1,0,0,0
TooltipAlarmCount=5
TooltipTimeToPrefix=+
Version=1.4.5

[MainWindow]
Height 1024=240
Width 1280=478

[Notification Messages]
ConfirmAlarmDeletion=true
EmailQueuedNotify=false
QuitWarn=
Comment 7 David Jarvie 2006-12-08 17:14:55 UTC
Please report the version of kalarm as opposed to the version of KDE. Type in a terminal window: 

kalarm --version
Comment 8 bm1607 2006-12-10 13:23:04 UTC
Qt: 3.3.7
KDE: 3.5.5-0.2.fc6 Fedora-Core
KAlarm: 1.4.5
Comment 9 David Jarvie 2006-12-12 00:05:00 UTC
I think that I may have found what's causing the crash. Can you please try two experiments to check whether I'm on the right track?

1) Start KAlarm with a fresh kalarmrc, display the Preferences dialog and change the state of any preference other than the run mode one. Then click OK. I suspect it will probably crash in the same way - please let me know.

2) Start KAlarm with a fresh kalarmrc, display the Preferences dialog and select "Other" in the "Terminal for command alarms" group. Enter /usr/bin/xterm (or any other terminal program if you don't have xterm installed - e.g. konsole. Just ensure that you enter the full path.) Then change the run mode as you described. Click OK. Does the crash happen any more?
Comment 10 bm1607 2006-12-12 15:26:37 UTC
1) You are completely right: Every change of the settings causes a crash.
2) dito: /usr/bin/konsole does make it right
Comment 11 David Jarvie 2006-12-13 02:50:04 UTC
Fixed for KDE 3.5.6. It will also appear in the next standalone version of KAlarm from http://www.astrojar.org.uk/linux/kalarm.html